/* $Id: crires_photom.h,v 1.3 2007-02-02 21:37:21 yjung Exp $
 *
 * This file is part of the CRIRES Pipeline
 * Copyright (C) 2002,2003 European Southern Observatory
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * $Author: yjung $
 * $Date: 2007-02-02 21:37:21 $
 * $Revision: 1.3 $
 * $Name: not supported by cvs2svn $
 */

#ifndef CRIRES_PHOTOM_H
#define CRIRES_PHOTOM_H

/*-----------------------------------------------------------------------------
   								Includes
 -----------------------------------------------------------------------------*/

#include <cpl.h>

/*-----------------------------------------------------------------------------
   								Define
 -----------------------------------------------------------------------------*/

#define CRIRES_PHOTOM_STARSDIST_ARCSEC  30.0

/*-----------------------------------------------------------------------------
   							        Prototypes
 -----------------------------------------------------------------------------*/

int crires_photom_conv_engine(cpl_table *, const cpl_bivector *, int, int) ;
cpl_bivector * crires_photom_conv_get_star(const cpl_table *, const char *) ;
double crires_photom_sens_engine(cpl_table *, const char *, double, int) ;

#endif
